/**
 * OW2 Util
 * Copyright (C) 2008
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id IRepositoryDeployer.java $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.plan.deployer.api;

import org.ow2.util.ee.deploy.api.deployer.IDeployer;
import org.ow2.util.plan.reader.repository.IRepositoryDataReader;

/**
 * Interface for the repository deployables deployer.
 * @author Mickaël LEDUQUE
 */
public interface IRepositoryDeployer extends IDeployer {

    /**
     * Sets the reader the deployer will use.
     * @param reader the new reader.
     */
    public void setReader(IRepositoryDataReader reader);

    /**
     * Returns the reader.
     * @return the reader.
     */
    public IRepositoryDataReader getReader();

    /**
     * Returns the number of deployed repositories deployables.
     * @return the number of deployed deployables.
     */
    public int getDeployablesCount();
}
